Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.vlaanderen.mercurius.wzcmh.common.v3
Class IndicationReportType

    java.lang.Object
      be.vlaanderen.mercurius.wzcmh.common.v3.IndicationReportType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2025-09-16T05:20:34+02:00",
               comments="JAXB RI v2.3.6")
    public class IndicationReportType

extends Object
implements Serializable

Indicatiestelling: KATZ-inschaling en attesten

Java class for IndicationReportType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="IndicationReportType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="IndicationReportStartDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
             <element name="KATZMeasurement" type="{http://www.mercurius.vlaanderen.be/wzcmh/common/v3}DetailType" minOccurs="0"/>
             <element name="CertificateDates" type="{http://www.mercurius.vlaanderen.be/wzcmh/common/v3}CertificateType" minOccurs="0"/>
             <element name="Certificates" type="{http://www.mercurius.vlaanderen.be/wzcmh/common/v3}DocumentListType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`IndicationReportType()`

Method Summary
`CertificateType` | `getCertificateDates()` Gets the value of the certificateDates property.
`DocumentListType` | `getCertificates()` Gets the value of the certificates property.
`org.joda.time.DateTime` | `getIndicationReportStartDate()` Gets the value of the indicationReportStartDate property.
`DetailType` | `getKATZMeasurement()` Gets the value of the katzMeasurement property.
`void` | `setCertificateDates(CertificateType value)` Sets the value of the certificateDates property.
`void` | `setCertificates(DocumentListType value)` Sets the value of the certificates property.
`void` | `setIndicationReportStartDate(org.joda.time.DateTime value)` Sets the value of the indicationReportStartDate property.
`void` | `setKATZMeasurement(DetailType value)` Sets the value of the katzMeasurement property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IndicationReportType

    public IndicationReportType()

Method Detail

### getIndicationReportStartDate

    public org.joda.time.DateTime getIndicationReportStartDate()

  Gets the value of the indicationReportStartDate property.

  Returns:
    possible object is `String`

### setIndicationReportStartDate

    public void setIndicationReportStartDate(org.joda.time.DateTime value)

  Sets the value of the indicationReportStartDate property.

  Parameters:
    `value` - allowed object is `String`

### getKATZMeasurement

    public DetailType getKATZMeasurement()

  Gets the value of the katzMeasurement property.

  Returns:
    possible object is `DetailType`

### setKATZMeasurement

    public void setKATZMeasurement(DetailType value)

  Sets the value of the katzMeasurement property.

  Parameters:
    `value` - allowed object is `DetailType`

### getCertificateDates

    public CertificateType getCertificateDates()

  Gets the value of the certificateDates property.

  Returns:
    possible object is `CertificateType`

### setCertificateDates

    public void setCertificateDates(CertificateType value)

  Sets the value of the certificateDates property.

  Parameters:
    `value` - allowed object is `CertificateType`

### getCertificates

    public DocumentListType getCertificates()

  Gets the value of the certificates property.

  Returns:
    possible object is `DocumentListType`

### setCertificates

    public void setCertificates(DocumentListType value)

  Sets the value of the certificates property.

  Parameters:
    `value` - allowed object is `DocumentListType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.29.0 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.